## osinfo_device

osinfo_device — A hardware device

## Functions

OsinfoDevice * | osinfo_device_new ()
const gchar * | osinfo_device_get_vendor ()
const gchar * | osinfo_device_get_vendor_id ()
const gchar * | osinfo_device_get_product ()
const gchar * | osinfo_device_get_product_id ()
const gchar * | osinfo_device_get_bus_type ()
const gchar * | osinfo_device_get_class ()
const gchar * | osinfo_device_get_name ()
const gchar * | osinfo_device_get_subsystem ()

## Types and Values

#define | OSINFO_TYPE_DEVICE
#define | OSINFO_DEVICE_PROP_VENDOR
#define | OSINFO_DEVICE_PROP_VENDOR_ID
#define | OSINFO_DEVICE_PROP_PRODUCT
#define | OSINFO_DEVICE_PROP_PRODUCT_ID
#define | OSINFO_DEVICE_PROP_NAME
#define | OSINFO_DEVICE_PROP_CLASS
#define | OSINFO_DEVICE_PROP_BUS_TYPE
#define | OSINFO_DEVICE_PROP_SUBSYSTEM

## Description

OsinfoDevice is an entity representing some kind of hardware device. Devices can be associated with operating systems and platforms.

## Functions

### osinfo_device_new ()

    OsinfoDevice *
    osinfo_device_new (const gchar *id);

### osinfo_device_get_vendor ()

    const gchar *
    osinfo_device_get_vendor (OsinfoDevice *dev);

### osinfo_device_get_vendor_id ()

    const gchar *
    osinfo_device_get_vendor_id (OsinfoDevice *dev);

### osinfo_device_get_product ()

    const gchar *
    osinfo_device_get_product (OsinfoDevice *dev);

### osinfo_device_get_product_id ()

    const gchar *
    osinfo_device_get_product_id (OsinfoDevice *dev);

### osinfo_device_get_bus_type ()

    const gchar *
    osinfo_device_get_bus_type (OsinfoDevice *dev);

### osinfo_device_get_class ()

    const gchar *
    osinfo_device_get_class (OsinfoDevice *dev);

### osinfo_device_get_name ()

    const gchar *
    osinfo_device_get_name (OsinfoDevice *dev);

### osinfo_device_get_subsystem ()

    const gchar *
    osinfo_device_get_subsystem (OsinfoDevice *dev);

#### Parameters

dev | the device |

#### Returns

the value of the device's subsystem.

Since: 0.2.1

## Types and Values

### OSINFO_TYPE_DEVICE

    #define OSINFO_TYPE_DEVICE (osinfo_device_get_type ())

### OSINFO_DEVICE_PROP_VENDOR

    #define OSINFO_DEVICE_PROP_VENDOR     "vendor"

### OSINFO_DEVICE_PROP_VENDOR_ID

    #define OSINFO_DEVICE_PROP_VENDOR_ID  "vendor-id"

### OSINFO_DEVICE_PROP_PRODUCT

    #define OSINFO_DEVICE_PROP_PRODUCT    "product"

### OSINFO_DEVICE_PROP_PRODUCT_ID

    #define OSINFO_DEVICE_PROP_PRODUCT_ID "product-id"

### OSINFO_DEVICE_PROP_NAME

    #define OSINFO_DEVICE_PROP_NAME       "name"

### OSINFO_DEVICE_PROP_CLASS

    #define OSINFO_DEVICE_PROP_CLASS      "class"

### OSINFO_DEVICE_PROP_BUS_TYPE

    #define OSINFO_DEVICE_PROP_BUS_TYPE   "bus-type"

### OSINFO_DEVICE_PROP_SUBSYSTEM

    #define OSINFO_DEVICE_PROP_SUBSYSTEM  "subsystem"

## See Also

OsinfoOs, OsinfoPlatform